/*
    This program is a clone of Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef AMI_H_INCLUDED
#define AMI_H_INCLUDED

#include "position.h"
#include "Pnj.h"

class Ami : public Pnj
{
    public:

        Ami();
        virtual ~Ami();

        void setNumNarration(int NN);
        int getNumNarration();

        void initType();
        void intelligenceArtificielle();

        SDL_Rect selectionSprite(bool pause);

    protected:

    private:

        int numNarration; // Numéro du texte narratif à afficher si le héro lui parle
};





#endif // AMI_H_INCLUDED
