/*
    This program is a clone à Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Entite.h"

Entite::Entite()
{
    //ctor
}

Entite::~Entite()
{
    //dtor
}

void Entite::setNom(string N) {nom = N;}
string Entite::getNom() {return nom;}

void Entite::setPositionX(int X) {positionX += X;}
int Entite::getPositionX() {return positionX;}

void Entite::setPositionY(int Y) {positionY += Y;}
int Entite::getPositionY() {return positionY;}

void Entite::initPosition(int X, int Y)
{
    positionX = X;
    positionY = Y;
}

void Entite::setOrientation(int O) {orientation = O;}
int Entite::getOrientation() {return orientation;}

void Entite::setType(int T) {type = T;}
int Entite::getType() {return type;}

void Entite::setFeuilleSprite(SDL_Surface* S) {feuilleSprite = S;}

void Entite::setDimensionX(int X) {dimensionX = X;}
int Entite::getDimensionX() {return dimensionX;}

void Entite::setDimensionY(int Y) {dimensionY = Y;}
int Entite::getDimensionY() {return dimensionY;}

void Entite::initCompteurAnim() {compteurAnimation = 0;}
void Entite::setIncrCompteurAnim()
{
    compteurAnimation += 1;
    //if(compteurAnimation > 10000) compteurAnimation = 0; // Valeur 10000 donnée au hasard ; simple protection au cas où
}
int Entite::getCompteurAnim() {return compteurAnimation;}


void Entite::afficherEntite(SDL_Surface* screenEntite, SDL_Rect decoupeSprite, SDL_Rect positionScreen)
{
    SDL_BlitSurface(feuilleSprite,&decoupeSprite,screenEntite,&positionScreen);
}

void Entite::setPauseAnimation(bool PA) {pauseAnimation = PA;}
bool Entite::getPauseAnimation() {return pauseAnimation;}

void Entite::initType() {} // Fonction virtuelle
