/*
    This program is a clone of Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GENERIQUE_H_INCLUDED
#define GENERIQUE_H_INCLUDED

#include "position.h"

// Séquences d'entrée, d'intro et de fin du jeu
class Generique
{
    public:

        Generique();
        virtual ~Generique();

        void setDebut(bool D);
        bool getDebut();
        void afficherDebut(SDL_Surface* screenGenerique);

        void setIntro(bool I);
        bool getIntro();
        void afficherIntro(SDL_Surface* screenGenerique);

    protected:

    private:

        bool debut; // Vrai à chaque lancement du programme
        bool intro; // Vrai si l'intro doit être jouée (uniquement au début d'un nouveau jeu)
        bool finDePartie; // Vrai si la partie est finie
};



#endif // GENERIQUE_H_INCLUDED
