/*
    This program is a clone à Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Arme.h"

Arme::Arme()
{
    initSDLSurface(3);
    //feuilleSprite = epee1;
    //feuilleSprite = bouclier1;
}

Arme::~Arme()
{
    //freeMem(3);
}

void Arme::selectionFeuilleSpritesArme(int FSA)
{
    switch(FSA)
    {
        case 0:
            feuilleSprite = bouclier1;
            break;

        case 1:
            feuilleSprite = epee1;
            break;

        case 2:
            feuilleSprite = epee3;
            break;

        case 3:
            feuilleSprite = epee5;
            break;

        case 4:
            feuilleSprite = objets1;
            break;

        default:
            //feuilleSprite = bouclier1; // Configurer la valeur par défaut à "pas d'arme"
            break;
    }
}

void Arme::setZoneActive(int X, int Y, int W, int H)
{
    if(X > -W) zoneActive.x = X;
    if(Y > -H) zoneActive.y = Y;
    if(W > 0) zoneActive.w = W;
    if(H > 0) zoneActive.h = H;
}

SDL_Rect Arme::getZoneActive() {return zoneActive;}
