/*
    This program is a clone of Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef Arme_H_INCLUDED
#define Arme_H_INCLUDED

#include "Personnage.h"

// armes et autres objets contrôlés directement par le joueur (epee, arc, marteau, objets magiques...)
class Arme : public Personnage
{
    public:

        Arme();
        virtual ~Arme();

        void selectionFeuilleSpritesArme(int FSA);
        void setZoneActive(int X, int Y, int W, int H);
        SDL_Rect getZoneActive();

    protected:

    private:

        SDL_Rect zoneActive;
};

#endif // Arme_H_INCLUDED
