/*
    This program is a clone à Zelda 3
    Copyright (C) 2012  Frédéric Micout - fred@sujets-libres.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Generique.h"


Generique::Generique()
{
    setDebut(false);
    setIntro(true);
}

Generique::~Generique()
{

}

void Generique::setDebut(bool D) {debut = D;}
bool Generique::getDebut() {return debut;}

void Generique::afficherDebut(SDL_Surface* screenGenerique)
{
    // Chargement de l'image de debut
    SDL_Surface* png = NULL;
    png = IMG_Load("images/debut/debut.png");
    if (!png) {cout << "Impossible de charger l'image du générique" << SDL_GetError() << endl;}

    // Affichage de l'image de debut
    SDL_BlitSurface(png, NULL, screenGenerique, NULL );

    // Libération de l'espace mémoire occupé par l'image png
    SDL_FreeSurface(png);

}

void Generique::setIntro(bool I) {intro = I;}
bool Generique::getIntro() {return intro;}

void Generique::afficherIntro(SDL_Surface* screenGenerique)
{
    // Chargement de l'image du générique
    SDL_Surface* png = NULL;
    png = IMG_Load("images/introduction/generiqueIntro.png");
    if (!png) {cout << "Impossible de charger l'image du générique" << SDL_GetError() << endl;}

    // Affichage de l'image de l'intro
    SDL_BlitSurface(png, NULL, screenGenerique, NULL );

    // Libération de l'espace mémoire occupé par l'image png
    SDL_FreeSurface(png);

}
